Bug 11400 - Show "Login as a different user" instead of "Logout" if not enough premissions
Summary: Show "Login as a different user" instead of "Logout" if not enough premissions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 13:46 UTC by Tomás Cohen Arazi
Modified: 2015-12-03 22:11 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11400: Show "Login as a different user" instead of "Logout" if not enough premissions (1.18 KB, patch)
2013-12-16 13:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 11400: Show "Login as a different user" instead of "Logout" if not enough premissions (1.24 KB, patch)
2013-12-30 08:57 UTC, Chris Cormack
Details | Diff | Splinter Review
screenshot of login page in Chromium (22.49 KB, image/png)
2014-01-05 22:17 UTC, Katrin Fischer
Details
Bug 11400: Show "Log in as a different user" in the error message instead of the "Logout" button (1.34 KB, patch)
2014-01-06 13:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 11400 - Follow-up for nicer design (1.45 KB, patch)
2015-02-18 19:13 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 11400: Show "Log in as a different user" in the error message instead of the "Logout" button (1.39 KB, patch)
2015-02-19 09:14 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11400 - Follow-up for nicer design (1.50 KB, patch)
2015-02-19 09:14 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 11400: Show "Log in as a different user" in the error message instead of the "Logout" button (1.47 KB, patch)
2015-02-20 11:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 11400 - Follow-up for nicer design (1.57 KB, patch)
2015-02-20 11:48 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2013-12-16 13:46:06 UTC
Bug 11146 introduced a way to go back, and have a logout link for the "Not enough permissions" message page. I belive this string change is worth.
Comment 1 Tomás Cohen Arazi 2013-12-16 13:49:24 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-12-30 08:57:24 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-01-05 22:17:40 UTC
Created attachment 23912 [details]
screenshot of login page in Chromium

I was about to pass it, as I like the idea, but it doesn't work very well with the limited width of the login box (see screenshot). In Firefox "different user" is on a new line for me. The screenshot is taken in Chromium.

In German the text would even get a bit longer, if you translated it directly.
Maybe center both buttons on their own line?
Comment 4 Tomás Cohen Arazi 2014-01-06 13:11:53 UTC Comment hidden (obsolete)
Comment 5 David Cook 2014-01-14 05:30:07 UTC
The patch works, but I'm not sure that this improves the current behaviour. I suppose the "Logout" button was added so that people could end their session here?

I suppose they could just use the "Previous page" button and then logout from there (or continue doing what they were doing).

In any case, "Log in" should probably be "Login" to match the other button. Also, we might consider something more explanatory like:

"Error: You do not have permission to access this page.

Login as a different user or return to the previous page."

Maybe even moving the "Previous page" button down to the bottom left corner to improve the aesthetic of the page?
Comment 6 Owen Leonard 2014-01-14 14:36:05 UTC
(In reply to David Cook from comment #5)
> I suppose the "Logout" button was added so that people could end their
> session here?

Yeah I've always wondered what the workflow there was: "Ooops, I reached a page I can't access. Instead of logging in as a different user right now I'm going to log out completely and give up."

> In any case, "Log in" should probably be "Login" to match the other button.

Actually now that I look at it I think they should both be "Log in." "Login" should be used as a noun, "Log in" as a verb.

> Also, we might consider something more explanatory like:
> "Error: You do not have permission to access this page.
> 
> Login as a different user or return to the previous page."
> 
> Maybe even moving the "Previous page" button down to the bottom left corner
> to improve the aesthetic of the page?

I like these suggestions.
Comment 7 Marcel de Rooy 2014-02-07 13:29:22 UTC
Scrolling through the last comments, I also agree that the Previous page button is not really placed very nice (not to say ugly :)
Login is no verb, so it should be Log in. (Note that this occurs in more places.)
And if you add the sentence "Log in as a different user", what about adding the other possibility of going back too? So: Log in as a different user or go back to the previous page? On the other hand, adding even more text and buttons will probably not improve the current form. So this is a hard one.

Moving it to In Discussion
Comment 8 Martin Renvoize 2014-12-22 07:02:36 UTC
Another bug stuck in 'In Discussion'... any further thoughts/developments people?
Comment 9 Marc Véron 2015-02-18 19:13:38 UTC Comment hidden (obsolete)
Comment 10 Marc Véron 2015-02-18 19:28:46 UTC
I hope it is OK to switch to "Needs Signoff"
Comment 11 Tomás Cohen Arazi 2015-02-18 19:38:32 UTC
(In reply to Marc Véron from comment #10)
> I hope it is OK to switch to "Needs Signoff"

It is!
Comment 12 Chris Cormack 2015-02-19 09:14:23 UTC Comment hidden (obsolete)
Comment 13 Chris Cormack 2015-02-19 09:14:47 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2015-02-19 14:19:43 UTC
It does not look much nicer for me :)
Ccing Owen to get his opinion.
Comment 15 Kyle M Hall 2015-02-20 11:48:24 UTC
Created attachment 36066 [details] [review]
[PASSED QA] Bug 11400: Show "Log in as a different user" in the error message instead of the "Logout" button

Bug 11146 introduced a way to go back, and have a logout link for the
"Not enough permissions" message page. I belive the logout button is redundant. And
also "Log in as a different user" tells the user more about its options on the scenario.

Simple and disputable usability/string change.
Regards
To+

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 16 Kyle M Hall 2015-02-20 11:48:31 UTC
Created attachment 36067 [details] [review]
[PASSED QA] Bug 11400 - Follow-up for nicer design

This patch tries to get the Bug out of "In discussion" by changing the design a little bit.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 17 Jonathan Druart 2015-02-20 11:59:24 UTC
See comment 14, I was waiting for feedbacks.
Comment 18 Tomás Cohen Arazi 2015-03-07 21:17:25 UTC
Patches pushed to master.

Thanks Marc!